Bug 1471435 - [abrt] gnome-shell: gtk_widget_translate_coordinates(): gnome-shell-extension-prefs killed by signal 11
[abrt] gnome-shell: gtk_widget_translate_coordinates(): gnome-shell-extension...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:68ca316c196dbaa0858d01729dd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-15 19:30 EDT by sparkyyarch
Modified: 2018-05-29 08:12 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (82.59 KB, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: core_backtrace (29.31 KB, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: cpuinfo (1.20 KB, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: dso_list (15.88 KB, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: environ (1.50 KB, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: maps (75.42 KB, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: open_fds (946 bytes, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-07-15 19:30 EDT, sparkyyarch
no flags Details

  None (edit)
Description sparkyyarch 2017-07-15 19:30:36 EDT
Description of problem:
It occured when I attempted to configure the default city in the open weather extension.

Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        gnome-shell-extension-prefs openweather-extension@jenslody.de
crash_function: gtk_widget_translate_coordinates
executable:     /usr/bin/gnome-shell-extension-prefs
journald_cursor: s=4660af52a2504e90a1c193ca4ce876ab;i=1ca6;b=69f1aa0410c845039941221d91859a04;m=3d16a03a8;t=5546352e22055;x=6aa75c9802701bed
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_translate_coordinates at gtkwidget.c:6291
 #1 _update_widget_coordinates at gtkgesture.c:504
 #2 _gtk_gesture_update_point at gtkgesture.c:611
 #3 gtk_gesture_handle_event at gtkgesture.c:740
 #4 gtk_gesture_single_handle_event at gtkgesturesingle.c:222
 #5 gtk_event_controller_handle_event at gtkeventcontroller.c:230
 #6 controller_handle_wm_event at gtkwindow.c:8073
 #7 gtk_window_handle_wm_event at gtkwindow.c:8102
 #8 _gtk_window_check_handle_wm_event at gtkwindow.c:8140
 #9 gtk_main_do_event at gtkmain.c:1748

Potential duplicate: bug 1368618
Comment 1 sparkyyarch 2017-07-15 19:30:41 EDT
Created attachment 1299110 [details]
File: backtrace
Comment 2 sparkyyarch 2017-07-15 19:30:43 EDT
Created attachment 1299111 [details]
File: cgroup
Comment 3 sparkyyarch 2017-07-15 19:30:44 EDT
Created attachment 1299112 [details]
File: core_backtrace
Comment 4 sparkyyarch 2017-07-15 19:30:45 EDT
Created attachment 1299113 [details]
File: cpuinfo
Comment 5 sparkyyarch 2017-07-15 19:30:47 EDT
Created attachment 1299114 [details]
File: dso_list
Comment 6 sparkyyarch 2017-07-15 19:30:49 EDT
Created attachment 1299115 [details]
File: environ
Comment 7 sparkyyarch 2017-07-15 19:30:50 EDT
Created attachment 1299116 [details]
File: exploitable
Comment 8 sparkyyarch 2017-07-15 19:30:51 EDT
Created attachment 1299117 [details]
File: limits
Comment 9 sparkyyarch 2017-07-15 19:30:52 EDT
Created attachment 1299118 [details]
File: maps
Comment 10 sparkyyarch 2017-07-15 19:30:54 EDT
Created attachment 1299119 [details]
File: open_fds
Comment 11 sparkyyarch 2017-07-15 19:30:55 EDT
Created attachment 1299120 [details]
File: proc_pid_status
Comment 12 sparkyyarch 2017-07-15 19:30:56 EDT
Created attachment 1299121 [details]
File: var_log_messages
Comment 13 Florian Müllner 2017-07-21 08:39:56 EDT
That doesn't look like a bug in gnome-shell-extension-prefs. The backtrace points to GTK+'s event handling, so moving there (although it may also be a bug in the extension itself)
Comment 14 Fedora End Of Life 2018-05-03 03:51:47 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2018-05-29 08:12:38 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.